## ros-iron-realtime-tools 2.5.0

=== debian/changelog ===
ros-iron-realtime-tools (2.5.0-3jammy) jammy; urgency=high

  * Fix overriding of install (#105 <https://github.com/ros-controls/realtime_tools/issues/105>)
  * Add missing test dependency on ament_cmake_gmock (#94 <https://github.com/ros-controls/realtime_tools/issues/94>)
  * Contributors: Bence Magyar, Denis Štogl, Scott K Logan, Tyler Weaver

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 27 Jan 2023 16:00:00 -0000

ros-iron-realtime-tools (2.4.0-3jammy) jammy; urgency=high

  * bug fix for RealtimePublisher with NON_POLLING (#85 <https://github.com/ros-controls/realtime_tools/issues/85>)
  * ci: :construction_worker: update rhel container (#92 <https://github.com/ros-controls/realtime_tools/issues/92>)
  * Make thread_priority a shared library (#91 <https://github.com/ros-controls/realtime_tools/issues/91>)
  * Contributors: Andy Zelenak, Jaron Lundwall, Yoav Fekete, Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 18 Nov 2022 16:00:00 -0000

ros-iron-realtime-tools (2.3.0-3jammy) jammy; urgency=high

  * Fix source-based branch names (#90 <https://github.com/ros-controls/realtime_tools/issues/90>)
  * Fix formatting (#89 <https://github.com/ros-controls/realtime_tools/issues/89>)
  * fix cpplint errors
  * Add a library to set thread priority
  * Add CI setup as for ros2_control repository.
  * Contributors: Andy Zelenak, Bence Magyar, Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 25 Aug 2022 16:00:00 -0000

ros-iron-realtime-tools (2.2.0-3jammy) jammy; urgency=high

  * Adding new reset() function for Issue-247.
  * Contributors: bailaC

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 02 Nov 2021 16:00:00 -0000

ros-iron-realtime-tools (2.1.1-3jammy) jammy; urgency=high

  * Fix deprecation warnings when constructing rclcpp::Duration
    Since https://github.com/ros2/rclcpp/pull/1432 (upcoming in Galactic), we should not initialize with a single integer
    as the units are ambiguous.
  * fix the mis-type error.
  * Fix uninitialized variable
  * Contributors: Jacob Perron, Victor Lopez, seanyen

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 20 Mar 2021 16:00:00 -0000

ros-iron-realtime-tools (2.1.0-3jammy) jammy; urgency=high

  * fix msbuild warning
  * address linter failures
  * enable linters
  * avoid deprecations
  * Realtime server goal thread handle safety + additional warning fixes (#2 <https://github.com/ros-controls/realtime_tools/issues/2>) (#57 <https://github.com/ros-controls/realtime_tools/issues/57>)
    * Made code thread safe, fixed warnings with repeated aborts/success/cancels
    Fixed -reorder warning
    Early return
    * removed atomic
    * removed unneeded header
  * use template instead
  * use std::atomic instead of volatile
  * Contributors: Karsten Knese, Yutaka Kondo, ddengster

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 02 Jul 2020 16:00:00 -0000

ros-iron-realtime-tools (2.0.0-3jammy) jammy; urgency=high

  * Add test_depend ament_cmake_gmock
  * Update CI for dashing
  * Add sloretz as another author
  * Typename and typos in RTPublisher
  * Shorter type names
  * Port RealtimeServerGoalHandle to ROS 2
  * Port RealtimePublisher to ROS 2
    Use test_msgs instead of std_msgs
  * Box and buffer work in ROS 2 unchanged
  * Port RealtimeClock to ROS 2
  * Remove actionlib definitions
  * Contributors: Shane Loretz

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 08 Sep 2019 16:00:00 -0000

ros-iron-realtime-tools (1.14.0-3jammy) jammy; urgency=high

  * Undo action typedef changes
  * Remove boost
  * Clean up includes in realtime_tools namespace
  * Switch to gmock
  * Remove TARGET check on tests
  * Add unit test for RealtimeServerGoalHandle, RealtimePublisher, RealtimeClock, RealtimeBuffer, RealtimeBox
  * Fix race where first message won't get published
  * Clean up dependencies and package.xml
  * Contributors: Shane Loretz

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 21 Jul 2019 16:00:00 -0000

ros-iron-realtime-tools (1.13.1-3jammy) jammy; urgency=high

  * Fix actionlib regression
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 13 Feb 2019 16:00:00 -0000

ros-iron-realtime-tools (1.13.0-3jammy) jammy; urgency=high

  * Update readme
  * use this_thread::sleep_for instead of usleep (#32 <https://github.com/ros-controls/realtime_tools/issues/32>)
  * specify RUNTIME DESTINATION for libraries (#33 <https://github.com/ros-controls/realtime_tools/issues/33>)
    needed for exporting DLLs on Windows
  * Made RealtimeBuffer's copy-constructor const
  * Contributors: Bence Magyar, Gennaro Raiola, James Xu, Mathias Lüdtke, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 10 Feb 2019 16:00:00 -0000

ros-iron-realtime-tools (1.12.0-3jammy) jammy; urgency=high

  * Add RealtimePublisherSharedPtr<T>
  * boost::shared_ptr -> std::shared_ptr
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 18 May 2018 16:00:00 -0000

ros-iron-realtime-tools (1.11.0-3jammy) jammy; urgency=high

  * Updated RT goal handle to handle cancel requests (#22 <https://github.com/ros-controls/realtime_tools/issues/22>)
  * switch to industrial_ci (#20 <https://github.com/ros-controls/realtime_tools/issues/20>)
  * Contributors: Mathias Lüdtke, Nick Lamprianidis

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 05 Nov 2017 16:00:00 -0000

ros-iron-realtime-tools (1.10.0-3jammy) jammy; urgency=high

  * Added constructor in RTB for objects without default constructor
  * Add feedback sending capability to RealtimeServerGoalHandle.
  * Contributors: Bence Magyar, Aris Synodinos, Miguel Prada, graiola

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 27 Jun 2017 16:00:00 -0000

ros-iron-realtime-tools (1.9.1-3jammy) jammy; urgency=high

  * RealtimeBox: Fix member doc
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Dave Coleman


