=== debian/control ===
Source: ros-iron-realtime-tools
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-gmock <!nocheck>, ros-iron-rclcpp, ros-iron-rclcpp-action, ros-iron-test-msgs <!nocheck>, ros-iron-ros-workspace
Homepage: http://ros.org/wiki/realtime_tools
Standards-Version: 3.9.2

Package: ros-iron-realtime-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-ament-cmake, ros-iron-rclcpp, ros-iron-rclcpp-action, ros-iron-ros-workspace
Description: Contains a set of tools that can be used from a hard realtime thread, without breaking the realtime behavior.
